import { jsx } from "react/jsx-runtime";
import { ArchiveIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Archive = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Archive", ...props, children: /* @__PURE__ */ jsx(ArchiveIcon, { weight: variant }) });
  }
);
Archive.displayName = "Archive";
Object.assign(Archive, { isGdsIcon: true });
export {
  Archive
};
